Bug 131533 - x11/gdm: gdm-2.24.1_6: wrong keyboard layout selected by default
Summary: x11/gdm: gdm-2.24.1_6: wrong keyboard layout selected by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-09 13:50 UTC by mickey242
Modified: 2009-05-03 04:00 UTC (History)
0 users

See Also:


Attachments
patch-gdm-hal-kbdlayout (3.85 KB, text/plain)
2009-04-16 21:30 UTC, mickey242
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mickey242 2009-02-09 13:50:02 UTC
After startup of gdm the keyboard layout that is pre-selected by default always is USA, although every part of the system is configured to use german keyboard layout i.e. pc102de + nodeadkeys.

rc.conf is aware of it:

keymap="german.iso"

xorg.conf is aware of it:

Section "InputDevice"
        Identifier      "Keyboard0"
        Driver          "kbd"
        Option          "AutoRepeat"    "270 55"
        Option          "XkbRules"      "xorg"
        Option          "XkbModel"      "pc102"
        Option          "XkbLayout"     "de"
        Option          "XkbVariant"    "nodeadkeys"
EndSection

and even HAL is aware of it:

udi = '/org/freedesktop/Hal/devices/atkbd_0'
  info.udi = '/org/freedesktop/Hal/devices/atkbd_0'  (string)
  info.category = 'input.keyboard'  (string)
  input.x11_options.AutoRepeat = '270 55'  (string)
  input.device = ''  (string)
  info.subsystem = 'platform'  (string)
  info.product = 'AT Keyboard'  (string)
  input.x11_driver = 'kbd'  (string)
  freebsd.driver = 'atkbd'  (string)
  freebsd.unit = 0  (0x0)  (int)
  input.x11_options.XkbRules = 'xorg'  (string)
  info.parent = '/org/freedesktop/Hal/devices/atkbdc_0'  (string)
  platform.id = 'atkbd.0'  (string)
  input.x11_options.XkbModel = 'pc102'  (string)
  freebsd.device_file = '/dev/atkbd0'  (string)
  input.x11_options.XkbLayout = 'de'  (string)
  info.capabilities = { 'input', 'input.keyboard' } (string list)
  input.x11_options.XkbVariant = 'nodeadkeys'  (string)

How-To-Repeat: Start using gdm-2.24 on a machine that uses some other keyboard layout than USA.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-02-09 14:00:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Fix synopsis and assign.
Comment 2 mickey242 2009-04-16 21:30:40 UTC
Same behaviour with most recent gnome-2.26.0_1

I have found a patch that reads the keyboard layout from HAL on the gnome 
distributor mailing list. It originally comes from the fedora people.

I supplemented the patch, so that it also reads the keyboard variant from HAL.
Find the patch attached.
Comment 3 Joe Marcus Clarke freebsd_committer 2009-05-02 18:40:28 UTC
State Changed
From-To: open->feedback

Please post the link to where you obtained this patch.
Comment 4 mickey242 2009-05-03 03:01:51 UTC
http://mail.gnome.org/archives/distributor-list/2009-February/msg00006.html

-- 
Keep it icy man.
I don't want to end up a corpse before my time because you were daydreaming.
Comment 5 dfilter service freebsd_committer 2009-05-03 03:54:48 UTC
marcus      2009-05-03 02:54:34 UTC

  FreeBSD ports repository

  Modified files:
    x11/gdm              Makefile 
    x11/gdm/files        gdm.in 
  Added files:
    x11/gdm/files        patch-configure patch-hal-keyboard 
  Log:
  * Add support for a gdm_lang rc.conf macro to control the locale used by
    the GDM greeter [1]
  * Add a patch from Fedora to support reading the keyboard layout from hal [2]
  
  PR:             131533 [2]
  Obtained from:  Fedora CVS [2]
  Submitted by:   daichi [1]
                  Andreas Wetzel <mickey242@gmx.net> [2]
  
  Revision  Changes    Path
  1.116     +1 -0      ports/x11/gdm/Makefile
  1.16      +3 -2      ports/x11/gdm/files/gdm.in
  1.12      +69 -0     ports/x11/gdm/files/patch-configure (new)
  1.1       +109 -0    ports/x11/gdm/files/patch-hal-keyboard (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Joe Marcus Clarke freebsd_committer 2009-05-03 03:54:51 UTC
State Changed
From-To: feedback->closed

Committed, thanks!